``profile::web_server``
=======================

Install and configure Apache to make local files available through HTTP/HTTPS.


Parameters
----------

==========  =========  ============
**Name**    **Type**   **Default**
----------  ---------  ------------
tls_cert    string
tls_chain   string
tls_key     string
vhost       string
url_map     hash
==========  =========  ============

``tls_cert``
~~~~~~~~~~~~

The TLS certificate (PEM).


``tls_chain``
~~~~~~~~~~~~~

The TLS certificate chain, ie. the intermediate certificate concatenated with
the host's certificate.


``tls_key``
~~~~~~~~~~~

The TLS key (PEM). **Must be encrypted**!


``vhost``
~~~~~~~~~

The name of the Apache virtual host, eg. ``linux.web.psi.ch``.


``url_map``
~~~~~~~~~~~

A hash describing the mapping between URLs and files. The keys are the URLs
relative to the `vhost`_, the values are the corresponding paths.
